2019-03-26 21:22 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002057NetSurf[All Projects] Generalpublic2015-03-10 10:40
ReporterChris Young 
Assigned ToChris Young 
SeverityminorReproducibilityhave not tried 
StatusclosedResolutionfixed 
PlatformAmigaOSAmigaOSOS Version4.1
Product Version3.0 
Target Version3.1Fixed in Version3.1 
Summary0002057: search_web_ico failures cause NetSurf to slow down
DescriptionI have my default web search provider set as Aminet, however that site is down so NetSurf is unable to retrieve the favicon associated with it. This is then causing NetSurf to grind to a halt.
Steps To ReproduceCurrently setting the search provider as Aminet is sufficient (for non-Amiga platforms this line needs to be copied from the SearchEnginess file)

This is easily reproduced by adding the following to the SearchEngines file, however only appears to manifest itself when using the AISS theme:
broken-test|www.google.com|http://www.google.com/search?q=%s|http://www.jkhdgkjsdhkjggoogle.com/favicon.ico|
Additional InformationIt appears that NetSurf is reverting back to a frontend-provided search icon but getting the URL wrong in the process (it is putting the third slash at the end of the URL instead of after file://). See logfile attached.
TagsNo tags attached.
Fixed in CI build #1628
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Chris Young

~0000161

Chris Young (developer)

The file didn't upload and now I'm unable to find where to attach it. Here is the relevant excerpt (the last line repeats every few milliseconds):

(3.644650) content/content.c content__init 85: url file:///DH0/Prefs/Presets/tbimages/list_search -> 0x4ececa70
(3.644828) content/content.c content_add_user 603: content file:///DH0/Prefs/Presets/tbimages/list_search (0x4ececa70), user 0x6e81efc8 0x501dec38
(3.645059) image/png.c info_callback 182: size 16 * 16, rowbytes 64
(3.646061) content/content.c content_convert 285: content file:///DH0/Prefs/Presets/tbimages/list_search (0x4ececa70)
(3.646246) image/image_cache.c image_cache_add 479: centry 0x4ececa08, content 0x4ececa70, bitmap 0x583e80d0
* Connected to www.google.co.uk (173.194.34.151) port 80 (#1)
* Connected to www.google.co.uk (173.194.34.151) port 80 (#1)
> GET / HTTP/1.1
User-Agent: NetSurf/3.0 (AmigaOS)
Host: www.google.co.uk
Accept: */*
Accept-Encoding: gzip
Cookie: PREF=ID=837c382d4f177c90:U=81fef22db61b45c6:FF=0:LD=en:NR=10:TM=1319326232:LM=1389904204:SG=1:S=g6R0xYda_YRS4UUP; NID=59=H9cKByQAzoFo6nRPyOd8jiY8jc1KU1Qwc9hLV9dc_CU-ZWkstYh64QyZ-8LHhwT3KRdagv4wH0mCFZ4QSXTBomV06X3UueLBJTeqg7s3APy8P38IJIq-ZIIyutq1-YHv7SaKAl9_6WHiPOaLaxH9OyLmiueo4m5TPuxbC-H-6vBvSNoaTESELxnu8lz5l5b00qUC; SID=DQAAAL4AAACtbUy8IdqEYn8eS4bj49IbN5fWth-vuy8X_-moufqJrFfTqHV_XyWzO-6-BSYdLn9Rq_CjAlhGKCwqojaoRMYmb5a8fUYSRdOz0XWuoC-Sx0TcDektbSjKjeoxHY0WAZ9AZYjn-NHr_wFYwRG_bWLNDITIbuhhBFhcqECMveySN4jkJOOru_O_0qW-Cm9YVPLXCeTTt6j8ZLk4vhy0CfPo5526B9O__LXsxsWPbFInH2akdAU180gFmEFqJyqLEcM; HSID=Ak1TgpRx3XAxmv7Cs; MPRF=H4sIAAAAAAAAAKvoufR96k31LiaGSUwKxonJJgZpFmkpZhYplsaGZmlGZklGholpRpZmBkYWlikTmBkATwylJjAAAAA; SSID=Az9xWe5ubZs9IYNrS; APISID=b1viVhxx8JCT01Dz/AsAT-7GFSnLZiK-lI; SAPISID=wzyA2v4rvJGXgPsG/A8knxtLg_GGNqYULo; s_vi=[CS]v1|25B8DBC305013840-40000103A0000656[CE]; __cfduid=d5140612dd9178b7266d5b723d9b7289e1340404863
Accept-Language: en-GB, en, *;q=0.1
DNT: 1

* Failed connect to aminet.net:80;
* Closing connection #0
< HTTP/1.1 200 OK
< Date: Thu, 16 Jan 2014 20:35:17 GMT
< Expires: -1
< Cache-Control: private, max-age=0
< Content-Type: text/html; charset=ISO-8859-1
< Set-Cookie: PREF=ID=837c382d4f177c90:U=81fef22db61b45c6:FF=0:LD=en:NR=10:TM=1319326232:LM=1389904517:SG=1:S=pXPSjMMtall25awU; expires=Sat, 16-Jan-2016 20:35:17 GMT; path=/; domain=.google.co.uk
< Server: gws
< X-XSS-Protection: 1; mode=block
< X-Frame-Options: SAMEORIGIN
< Alternate-Protocol: 80:quic
< Transfer-Encoding: chunked
<
(3.828804) content/fetchers/curl.c fetch_curl_process_headers 1216: HTTP status code 200
* Connection #1 to host www.google.co.uk left intact
(3.829209) content/fetchers/curl.c fetch_curl_done 855: done http://aminet.net/favicon.ico
(3.829304) content/fetchers/curl.c fetch_curl_done 892: Unknown cURL response code 7
(3.829371) content/fetchers/curl.c fetch_curl_stop 737: fetch 0x4edda200, url 'http://aminet.net/favicon.ico'
(3.829472) desktop/searchweb.c search_web_ico_callback 317: favicon http://aminet.net/favicon.ico error: Failed connect to aminet.net:80;
(3.829694) content/fetchers/curl.c fetch_curl_done 855: done http://www.google.co.uk/
(3.829806) content/fetchers/curl.c fetch_curl_stop 737: fetch 0x4ede2c68, url 'http://www.google.co.uk/'
(3.830812) desktop/searchweb.c search_web_ico_callback 317: favicon file://tbimages:list_search/ error: UnacceptableType
(3.831303) content/content.c content__init 85: url http://www.google.co.uk/ -> 0x4ede2ea0
(3.831969) render/html_css.c html_css_new_stylesheets 546: 2 fetches active
(3.832133) render/html_css.c html_css_new_stylesheets 573: 3 fetches active
(3.832233) content/content.c content_add_user 603: content http://www.google.co.uk/ (0x4ede2ea0), user 0x6e81efc8 0x4edda080
(3.835893) desktop/searchweb.c search_web_ico_callback 317: favicon file://tbimages:list_search/ error: UnacceptableType
(3.855406) build-Linux-amiga/window.c jsclass_mark 1877: jscontext:0x4edf43c0 jsobject:0x4edd66c0 private:0x0
(3.857456) build-Linux-amiga/window.c jsapi_new_Window 2004: Created new window object 0x4edd66c0
(3.858034) render/html_script.c html_process_script 531: javascript context 0x4edf43c0
(3.858162) render/html_script.c html_process_script 538: content 0x4ede2ea0 parser 0x4ecedc08 node 0x4ecee800
(3.865079) build-Linux-amiga/window.c jsapi_property_window_get 860: jscontext:0x4edf43c0 jsobject:0x4edd66c0 private:0x4eceec38
(3.865859) build-Linux-amiga/window.c jsapi_property_location_get 967: jscontext:0x4edf43c0 jsobject:0x4edd66c0 private:0x4eceec38
(3.866182) build-Linux-amiga/window.c jsapi_property_window_get 860: jscontext:0x4edf43c0 jsobject:0x4edd66c0 private:0x4eceec38
(3.866377) build-Linux-amiga/location.c jsapi_property_href_get 255: jscontext:0x4edf43c0 jsobject:0x4edd8280 private:0x4ff29fe8
(3.866591) build-Linux-amiga/window.c jsapi_property_window_get 860: jscontext:0x4edf43c0 jsobject:0x4edd66c0 private:0x4eceec38
(3.868857) render/html_script.c html_process_script 538: content 0x4ede2ea0 parser 0x4ecedc08 node 0x4fef5310
(3.869427) render/html_script.c html_process_script 538: content 0x4ede2ea0 parser 0x4ecedc08 node 0x4ff30258
(3.870422) build-Linux-amiga/window.c jsapi_property_document_get 896: jscontext:0x4edf43c0 jsobject:0x4edd66c0 private:0x4eceec38
(3.871823) build-Linux-amiga/htmldocument.c jsapi_property_body_get 2056: jscontext:0x4edf43c0 jsobject:0x4edd8350 private:0x4ff31708
(3.873031) build-Linux-amiga/htmlelement.c jsapi_property_EventHandler_set 2973: jscontext:0x4edf43c0 jsobject:0x4fef8b98 private:0x4ff33e48
(3.873151) build-Linux-amiga/htmlelement.c jsapi_property_EventHandler_set 2983: propname[57].name="onload"
(3.873226) javascript/jsapi.c js_dom_event_add_listener 597: adding 0x4ff34da0 to listener
(3.882434) content/fetchers/curl.c fetch_curl_setup 370: fetch 0x4ff00520, url 'http://www.google.co.uk/logos/doodles/2014/dian-fosseys-82nd-birthday-5702250374627328-hp.jpg'
(3.900478) render/html_script.c html_process_script 538: content 0x4ede2ea0 parser 0x4ecedc08 node 0x53994ea0
(3.903541) build-Linux-amiga/window.c jsapi_property_window_get 860: jscontext:0x4edf43c0 jsobject:0x4edd66c0 private:0x4eceec38
(3.903682) build-Linux-amiga/window.c jsapi_property_window_get 860: jscontext:0x4edf43c0 jsobject:0x4edd66c0 private:0x4eceec38
(3.903808) build-Linux-amiga/window.c jsapi_property_window_get 860: jscontext:0x4edf43c0 jsobject:0x4edd66c0 private:0x4eceec38
(3.904087) build-Linux-amiga/window.c jsapi_property_window_get 860: jscontext:0x4edf43c0 jsobject:0x4edd66c0 private:0x4eceec38
(3.904231) build-Linux-amiga/window.c jsapi_func_setTimeout 766: jscontext:0x4edf43c0 jsobject:0x4edd66c0 private:0x4eceec38
(3.904317) build-Linux-amiga/window.c jsapi_func_setTimeout 774: operation Window.setTimeout has no implementation
(3.904999) render/html_script.c html_process_script 538: content 0x4ede2ea0 parser 0x4ecedc08 node 0x539973f8
(3.908117) build-Linux-amiga/window.c jsapi_property_document_get 896: jscontext:0x4edf43c0 jsobject:0x4edd66c0 private:0x4eceec38
(3.908271) build-Linux-amiga/htmldocument.c jsapi_func_getElementsByTagName 634: jscontext:0x4edf43c0 jsobject:0x4edd8350 private:0x4ff31708
(3.908467) build-Linux-amiga/nodelist.c jsapi_property_length_get 116: jscontext:0x4edf43c0 jsobject:0x4fef9198 private:0x5399c400
(3.908698) build-Linux-amiga/nodelist.c jsapi_property_get 165: jscontext:0x4edf43c0 jsobject:0x4fef9198 private:0x5399c400
(3.909678) build-Linux-amiga/window.c jsapi_property_window_get 860: jscontext:0x4edf43c0 jsobject:0x4edd66c0 private:0x4eceec38
(3.909843) build-Linux-amiga/window.c jsapi_property_window_get 860: jscontext:0x4edf43c0 jsobject:0x4edd66c0 private:0x4eceec38
(3.909955) build-Linux-amiga/window.c jsapi_func_addEventListener 565: jscontext:0x4edf43c0 jsobject:0x4edd66c0 private:0x4eceec38
(3.910051) build-Linux-amiga/window.c jsapi_func_addEventListener 582: operation Window.addEventListener has no implementation
(3.913117) content/content.c content_convert 285: content http://www.google.co.uk/ (0x4ede2ea0)
(3.913280) render/html.c html_convert 1026: quirks set to 0
(3.913350) render/html.c html_convert 1030: 2 fetches active
(3.934486) content/content.c content__init 85: url file:///DH1/Internet/NetSurf/Resources/default.css -> 0x53998f88
(3.935691) content/content.c content_add_user 603: content file:///DH1/Internet/NetSurf/Resources/default.css (0x53998f88), user 0x6e81efc8 0x4eced0f0
(3.939831) content/content.c content_convert 285: content file:///DH1/Internet/NetSurf/Resources/default.css (0x53998f88)
(3.940067) render/html_css.c html_convert_css_callback 111: stylesheet resource:user.css failed: UnacceptableType
(3.940187) render/html_css.c html_convert_css_callback 115: 1 fetches active
(3.941042) desktop/searchweb.c search_web_ico_callback 317: favicon file://tbimages:list_search/ error: UnacceptableType
(3.947300) content/content.c content__init 85: url file:///DH1/Internet/NetSurf/Resources/nsdefault.css -> 0x5399fe28
(3.947542) content/content.c content_add_user 603: content file:///DH1/Internet/NetSurf/Resources/nsdefault.css (0x5399fe28), user 0x6e81efc8 0x5399c6b8
(3.960746) content/content.c content_convert 285: content file:///DH1/Internet/NetSurf/Resources/nsdefault.css (0x5399fe28)
(3.961009) render/html_css.c html_convert_css_callback 103: done stylesheet slot 0 'file:///DH1/Internet/NetSurf/Resources/default.css'
(3.961116) render/html_css.c html_convert_css_callback 105: 0 fetches active
(3.961921) desktop/searchweb.c search_web_ico_callback 317: favicon file://tbimages:list_search/ error: UnacceptableType
(3.969083) desktop/searchweb.c search_web_ico_callback 317: favicon file://tbimages:list_search/ error: UnacceptableType
Chris Young

~0000162

Chris Young (developer)

Managed to attach the file now. I'm not sure if this is an Amiga-specific bug at this point in time.
Chris Young

~0000163

Chris Young (developer)

This is easily reproduced by adding the following to the SearchEngines file, however only appears to manifest itself when using the AISS theme:
broken-test|www.google.com|http://www.google.com/search?q=%s|http://www.jkhdgkjsdhkjggoogle.com/favicon.ico|
Chris Young

~0000164

Chris Young (developer)

Modified the web search ico code so rather than constructing the URL itself, it asks the frontend to do so. This ensures the URL is correct for the platform and filesystem in use.
Vincent Sanders

~0000669

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2014-01-16 20:47 Chris Young New Issue
2014-01-16 20:50 Chris Young Note Added: 0000161
2014-01-16 20:51 Chris Young File Added: ns.log.gz
2014-01-16 20:53 Chris Young Note Added: 0000162
2014-01-16 20:54 Chris Young Assigned To => Chris Young
2014-01-16 20:54 Chris Young Status new => assigned
2014-01-18 21:11 Chris Young Note Added: 0000163
2014-01-18 21:11 Chris Young Status assigned => confirmed
2014-01-18 21:12 Chris Young Steps to Reproduce Updated View Revisions
2014-01-18 21:28 Chris Young Fixed in CI build # => 1628
2014-01-18 21:28 Chris Young Note Added: 0000164
2014-01-18 21:28 Chris Young Status confirmed => resolved
2014-01-18 21:28 Chris Young Fixed in Version => 3.1
2014-01-18 21:28 Chris Young Resolution open => fixed
2015-03-10 10:40 Vincent Sanders Note Added: 0000669
2015-03-10 10:40 Vincent Sanders Status resolved => assigned
2015-03-10 10:40 Vincent Sanders Status assigned => closed
2015-03-10 10:40 Vincent Sanders Steps to Reproduce Updated View Revisions
2015-03-10 10:40 Vincent Sanders Additional Information Updated View Revisions
+Issue History